# Class EMEKeyMessageEvent

#### Hierarchy (view full)

- BasePlayerEvent
  - EMEKeyMessageEvent

#####
Index

### Constructors

constructor

### Properties

messageEvent
type

## Constructors

### constructor

- new EMEKeyMessageEvent(messageEvent): EMEKeyMessageEvent

- #### Parameters

  - messageEvent: MediaKeyMessageEvent

  #### Returns EMEKeyMessageEvent

  Overrides BasePlayerEvent.constructor

## Properties

### `Readonly` messageEvent

messageEvent: MediaKeyMessageEvent

### `Readonly` type

type: "emeKeyMessage" = Events.EMEKeyMessage

Overrides BasePlayerEvent.type